/**
 * Created by life on 03.11.16.
 */

'use strict';

const assert = require('assert');

const v = require('./../index');

describe('Validators', () => {
    context('in-array', () => {
        it ('валиден если есть в массиве', () => {
            assert.equal(v.inArray(1, [1,2,3,4,5]), true);
        });
        it ('не валиден если не в массиве', () => {
            assert.equal(v.inArray(1, [2,3,4]), false);
        });
    });
    context('in-range', () => {
        it ('валиден если входит в перечень', () => {
            assert.equal(v.inRange(5, 1, 6), true);
        });
        it ('не валиден если не в ходит в перечень', () => {
            assert.equal(v.inRange(5, 6, 10), false);
        });
    });
    context('is-array', () => {
        it ('валиден если массив', () => {
            assert.equal(v.isArray([]), true);
        });
        it ('не валиден если не массив', () => {
            assert.equal(v.isArray(''), false);
        });
    });
    context('is-number', () => {
        it ('валиден если число', () => {
            assert.equal(v.isNumber(1), true);
        });
        it ('не валиден если не число', () => {
            assert.equal(v.isNumber('1'), false);
        });
    });
    context('is-string', () => {
        it ('валиден если строка', () => {
            assert.equal(v.isString(''), true);
        });
        it ('не валиден если не строка', () => {
            assert.equal(v.isString(13), false);
        });
    });
    context('not-empty', () => {
        it ('валиден если не пустой', () => {
            assert.equal(v.notEmpty('1313'), true);
        });
        it ('не валиден если не пустой', () => {
            assert.equal(v.notEmpty([]), false);
        });
    });
    context('required', () => {
        it ('валиден если не undefined', () => {
            assert.equal(v.required(123), true);
        });
        it ('не валиден если отсутствует', () => {
            assert.equal(v.required(), false);
        });
    });
});